# LIBMAWK_RUN_MAIN

NAME
SYNOPSIS
DESCRIPTION
SEE ALSO

## NAME

libmawk_run_main − run main parts of a script

## SYNOPSIS

#include <libmawk.h>

void libmawk_run_main(mawk_state_t *m);

## DESCRIPTION

The libmawk_run_main() attempts to take and parse the next input record and runs all main parts of the script that matches. If there are multiple full records in the input buffer, the process repeats until the buffer becomes empty or contains a partial record. If there is no full record in the buffer, the call returns with nothing done. The call itself never blocks, but the script may. The input buffer may be filled using the libmawk_append_input() call.

Argument m is a libmawk context previously returned by libmawk_initialize() or libmawk_initialize_stage3().

## SEE ALSO

libmawk_initialize_stage(3libmawk), libmawk_initialize(3libmawk), libmawk_append_input(3libmawk),